<?php

use CodeIgniter\Router\RouteCollection;

/**
 * @var RouteCollection $routes
 */
$routes->group('', ['filter' => 'auth:loggedOut'], static function ($routes) {
    $routes->get('/login', 'Auth::index');
    $routes->post('/login', 'Auth::login');
    // $routes->post('api/admin/login', 'Auth::login');

});

$routes->group('', ['filter' => 'auth:loggedIn'], static function ($routes) {
    // Dashboard
    $routes->get('/', 'Dashboard::index');

    // Manage Admins
    $routes->group('manage-admins', ['filter' => 'role:admin-manager'], static function ($routes) {
        $routes->get('', 'AdminManager::index');
        $routes->post('', 'AdminManager::manager');

        $routes->get('edit-admin/(:num)', 'AdminManager::editAdmin/$1');
        $routes->post('edit-admin/(:num)', 'AdminManager::updateAdmin/$1');
    });
    //
    $routes->group('manage-users', ['filter' => 'role:user-manager'], static function ($routes) {
        $routes->get('', 'UserManager::index');
        $routes->post('', 'UserManager::manager');

        $routes->get('edit-user', 'UserManager::editUser');
        // $routes->post('edit-user/(:num)', 'UserManager::updateUser/$1');
    });

    $routes->group('manage-banners', ['filter' => 'role:banner-manager'], static function ($routes) {
        $routes->get('', 'BannerManager::index');
        $routes->post('', 'BannerManager::manager');

        $routes->get('add-banner', 'BannerManager::addBanner');
        $routes->post('add-banner', 'BannerManager::addBanner');

        $routes->get('edit-banner/(:num)', 'BannerManager::editBanner/$1');
        $routes->post('edit-banner/(:num)', 'BannerManager::updateBanner/$1');
    });

    $routes->group('role-manager', ['filter' => 'role:role-manager'], static function ($routes) {
        $routes->get('', 'RoleManager::index');
        // $routes->post('', 'RoleManager::manager');
        $routes->get('add-role', 'RoleManager::addRole');
        $routes->get('edit-role', 'RoleManager::editRole');
    });

    $routes->group('admin-role-manager', ['filter' => 'role:admin-role-manager'], static function ($routes) {
        $routes->get('', 'AdminRoleManager::index');
        // $routes->post('', 'RoleManager::manager');

        $routes->get('add-admin-role', 'AdminRoleManager::AddAdmin');
        $routes->get('edit-admin-role', 'AdminRoleManager::editAdmin');
    });

    $routes->group('manage-hero', ['filter' => 'role:hero-manager'], static function ($routes) {
        $routes->get('', 'HeroManager::index');

        $routes->get('add-hero', 'HeroManager::addHero');

        $routes->get('edit-hero', 'HeroManager::edithero');

    $routes->group('manage-contact-leads', ['filter' => 'role:contact-lead-manager'], static function ($routes) {
        $routes->get('', 'ContactFormManager::index');
            // $routes->post('', 'ContactFormManager::manager');
        });
    });


    $routes->get('/logout', 'Auth::logout');
});
