<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <link rel="apple-touch-icon" sizes="76x76" href="../assets/img/apple-icon.png">
    <link rel="icon" type="image/png" href="../assets/img/favicon.png">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <meta name="robots" content="noindex,nofollow" />
    <meta name="googlebot" content="noindex">
    <title>
        Dashboard
    </title>
    <?= $this->renderSection('head') ?>
    <meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0, shrink-to-fit=no' name='viewport' />
    <!--     Fonts and icons     -->
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700,200" rel="stylesheet" />
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css" rel="stylesheet">
    <!-- CSS Files -->
    <link href=" <?= base_url('assets/css/bootstrap.min.css') ?>" rel="stylesheet" />
    <link href="<?= base_url("assets/css/paper-dashboard.css") ?>" rel="stylesheet" />

    
    <style>
        .sidebar .sidebar-wrapper,
        .off-canvas-sidebar .sidebar-wrapper {
            overflow-x: hidden;
        }
        .table-container .col-12 {
            overflow-x: scroll;
        }
        .table-responsive-lg .col-12 {
            overflow-x: scroll;
        }
    </style>
    <?= $this->renderSection('styles') ?>
</head>

<body class="">
    <div class="wrapper ">
        <?= $this->include('layout/sidebar') ?>
        <div class="main-panel">
            <!-- Navbar -->
            <?= $this->include('layout/header') ?>
            <!-- End Navbar -->
            <div class="content">
                <?= $this->renderSection('content') ?>
            </div>
            <?= $this->include('layout/footer') ?>
        </div>
    </div>
    <!--   Core JS Files   -->
    <script src="<?= base_url('assets/js/core/jquery.min.js') ?>"></script>
    <script src="<?= base_url('assets/js/core/bootstrap.min.js') ?>"></script>
    <script src="<?= base_url('assets/js/plugins/bootstrap-notify.js') ?>"></script>

    <script>
        <?php if (session()->getFlashdata('success') !== null) : ?>
            notifySuccess("<?= session()->getFlashdata('success') ?>")
        <?php endif ?>
        <?php if (session()->getFlashdata('failed') !== null) : ?>
            notifyFail("<?= session()->getFlashdata('failed') ?>")
        <?php endif ?>

        function notifySuccess(msg) {
            var notify = $.notify('<strong>Success</strong> ' + msg, {
                allow_dismiss: false
            });
            notify.update({
                type: 'info',
                progress: 20
            });
        }

        function notifyFail(msg) {
            var notify = $.notify('<strong>Error</strong> ' + msg, {
                allow_dismiss: false
            });
            notify.update({
                type: 'warning',
                progress: 20
            });
        }
    </script>

    <?= $this->renderSection('scripts') ?>
</body>

</html>