<?= $this->extend('layout/main') ?>
<?= $this->section('head') ?>
<?= $this->endSection() ?>
<?= $this->section('styles') ?>
<link href="https://cdn.datatables.net/2.0.0/css/dataTables.bootstrap4.css" rel="stylesheet" />
<?= $this->endSection() ?>
<?= $this->section('content') ?>
<div class="row">
    <div class="col-md-7">
        <div class="card">
            <div class="card-header">
                <div class="d-flex justify-content-between align-items-center">
                    <h4 class="card-title">All Admin</h4>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive-lg">
                    <table id="adminTable" class="table table-striped table-bordered table-hover bg-light" style="width:100%">
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Email</th>
                                <th>Role</th>
                                <th style="min-width: 165px;">Options</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($admins as $admin) : ?>
                                <?php if ($admin['id'] == 1) continue; ?>
                                <tr>
                                    <td><?= $admin['name'] ?></td>
                                    <td><?= $admin['email'] ?></td>
                                    <td>
                                        <?= ADMIN_ROLES[$admin['role']] ?>
                                    </td>
                                    <td>
                                        <a href="<?= site_url('manage-admins/edit-admin/' . $admin['id']) ?>" class="btn btn-outline-primary btn-sm">Edit</a>
                                        <form action="" method="post" class="d-inline">
                                            <?= csrf_field() ?>
                                            <input type="hidden" name="action" value="delete">
                                            <input type="hidden" name="id" value="<?= $admin['id'] ?>">
                                            <button class="btn btn-outline-danger btn-sm">Delete</button>
                                        </form>
                                    </td>
                                </tr>
                            <?php endforeach ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>Name</th>
                                <th>Email</th>
                                <th>Role</th>
                                <th style="min-width: 165px;">Options</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-5">
        <div class="card card-user">
            <div class="card-header">
                <h5 class="card-title">Add a Admin</h5>
            </div>
            <div class="card-body">
                <form method="post">
                    <?= csrf_field() ?>
                    <input type="hidden" name="action" value="add">
                    <input type="hidden" name="id" value="0">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Name</label>
                                <input type="text" class="form-control" placeholder="Admin name" name="name" value="<?= old('name') ?>">
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['name'])) ?  session()->getFlashdata('validation')['name'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Email</label>
                                <input type="email" class="form-control" placeholder="Admin email" name="email" value="<?= old('email') ?>">
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['email'])) ?  session()->getFlashdata('validation')['email'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Admin Role</label>
                                <select class="form-control" name="role">
                                    <?php foreach (ADMIN_ROLES as $k => $role) : ?>
                                        <option value="<?= $k ?>" <?= ($k == old('role')) ? "selected" : "" ?>><?= ucwords($role) ?></option>
                                    <?php endforeach ?>
                                </select>
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['role'])) ?  session()->getFlashdata('validation')['role'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Password</label>
                                <input type="password" class="form-control" placeholder="Admin password" name="password">
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['password'])) ?  session()->getFlashdata('validation')['password'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Confirm password</label>
                                <input type="password" class="form-control" placeholder="Confirm admin password" name="confirm_password">
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['confirm_password'])) ?  session()->getFlashdata('validation')['confirm_password'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="update ml-auto mr-auto">
                            <button type="submit" class="btn btn-primary btn-round">Save</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>
<?= $this->section('scripts') ?>
<script src="https://cdn.datatables.net/2.0.0/js/dataTables.js"></script>
<script src="https://cdn.datatables.net/2.0.0/js/dataTables.bootstrap4.js"></script>
<script>
    new DataTable('#auctionTable');
</script>
<?= $this->endSection() ?>