<?= $this->extend('layout/main') ?>
<?= $this->section('head') ?>
<?= $this->endSection() ?>
<?= $this->section('styles') ?>
<link href="https://cdn.datatables.net/2.0.0/css/dataTables.bootstrap4.css" rel="stylesheet" />
<?= $this->endSection() ?>
<?= $this->section('content') ?>
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-header">
                <div class="d-flex justify-content-between align-items-center">
                    <h4 class="card-title">All Banner</h4>
                    <div class="d-flex align-items-center">
                        <a href="<?= site_url('manage-banners/add-banner') ?>" class="btn btn-primary">Add Banner</a>
                    </div>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive-lg">
                    <table id="bannerTable" class="table table-striped table-bordered table-hover bg-light" style="width:100%">
                        <thead>
                            <tr>
                                <th>ID</th>
                                <th>Name</th>
                                <th>Type</th>
                                <th>Location</th>
                                <th>Status</th>
                                <th style="min-width: 270px;">Options</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($banners as $banner) : ?>
                                <tr>
                                    <td><?= $banner['id'] ?></td>
                                    <td><?= $banner['name'] ?></td>
                                    <td><?= BANNER_TYPES[$banner['type']] ?></td>
                                    <td><?= BANNER_LOCATIONS[$banner['location']] ?></td>
                                    <td>
                                        <?= BANNER_STATUS[$banner['status']] ?>
                                    </td>
                                    <td>
                                        <a href="<?= site_url('manage-banners/edit-banner/' . $banner['id']) ?>" class="btn btn-outline-primary btn-sm">Edit</a>
                                        <?php
                                        $action = "";
                                        switch ($banner['status']) {
                                            case 0:
                                                $action = "activate";
                                                break;
                                            case 1:
                                                $action = "deactivate";
                                                break;
                                            case 2:
                                                $action = "activate";
                                                break;
                                            default:
                                                break;
                                        }
                                        ?>
                                        <?php if ($action != "") : ?>
                                            <form action="" method="post" class="d-inline">
                                                <?= csrf_field() ?>
                                                <input type="hidden" name="action" value="<?= $action ?>">
                                                <input type="hidden" name="id" value="<?= $banner['id'] ?>">
                                                <button class="btn <?= ($action == "activate") ? "btn-outline-primary" : "btn-outline-danger" ?> btn-sm"><?= ucwords($action) ?></button>
                                            </form>
                                        <?php endif ?>
                                        <form action="" method="post" class="d-inline">
                                            <?= csrf_field() ?>
                                            <input type="hidden" name="action" value="delete">
                                            <input type="hidden" name="id" value="<?= $banner['id'] ?>">
                                            <button class="btn btn-outline-danger btn-sm">Delete</button>
                                        </form>
                                    </td>
                                </tr>
                            <?php endforeach ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>ID</th>
                                <th>Name</th>
                                <th>Type</th>
                                <th>Location</th>
                                <th>Status</th>
                                <th style="min-width: 270px;">Options</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>
<?= $this->section('scripts') ?>
<script src="https://cdn.datatables.net/2.0.0/js/dataTables.js"></script>
<script src="https://cdn.datatables.net/2.0.0/js/dataTables.bootstrap4.js"></script>
<script>
    new DataTable('#bannerTable');
</script>
<?= $this->endSection() ?>