<?= $this->extend('layout/main') ?>
<?= $this->section('head') ?>
<?= $this->endSection() ?>
<?= $this->section('styles') ?>
<link href="https://cdn.datatables.net/2.0.0/css/dataTables.bootstrap4.css" rel="stylesheet" />
<?= $this->endSection() ?>
<?= $this->section('content') ?>
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-header">
                <div class="d-flex justify-content-between align-items-center">
                    <h4 class="card-title m-0">All Hero</h4>
                    <a href="<?= site_url('manage-hero/add-hero') ?>" class="btn btn-primary">Add Hero</a>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table id="bannerTable" class="table table-striped table-bordered table-hover bg-light" style="width:100%">
                        <thead>
                            <tr>
                                <th>ID</th>
                                <th>Slide Name</th>
                                <th>Slide</th>
                                <th style="min-width: 270px;">Options</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>1</td>
                                <td>Recon-ng</td>
                                <td>icon.png</td>
                                <td class="d-flex gap-2">
                                    <a href="<?= site_url('manage-hero/edit-hero/') ?>" class="btn btn-outline-primary btn-sm">Edit</a>
                                    <?php
                                    $action = "activate"; // Default action
                                    switch ($status ?? null) {
                                        case 0:
                                            $action = "activate";
                                            break;
                                        case 1:
                                            $action = "deactivate";
                                            break;
                                        case 2:
                                            $action = "activate";
                                            break;
                                    }
                                    ?>
                                    <form action="" method="post" class="d-inline me-2">
                                        <?= csrf_field() ?>
                                        <input type="hidden" name="action" value="<?= $action ?>">
                                        <input type="hidden" name="id" value="">
                                        <button class="btn <?= ($action == "activate") ? "btn-outline-success" : "btn-outline-danger" ?> btn-sm"><?= ucfirst($action) ?></button>
                                    </form>
                                    <form action="" method="post" class="d-inline">
                                        <?= csrf_field() ?>
                                        <input type="hidden" name="action" value="delete">
                                        <input type="hidden" name="id" value="">
                                        <button class="btn btn-outline-danger btn-sm">Delete</button>
                                    </form>
                                </td>
                            </tr>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>ID</th>
                                <th>Slide Name</th>
                                <th>Slide</th>
                                <th style="min-width: 270px;">Options</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>
<?= $this->section('scripts') ?>
<script src="https://cdn.datatables.net/2.0.0/js/dataTables.js"></script>
<script src="https://cdn.datatables.net/2.0.0/js/dataTables.bootstrap4.js"></script>
<script>
    new DataTable('#bannerTable');
</script>
<?= $this->endSection() ?>
