let jsonLeadData;
let headers = [
  {
    title: "Sr No",
    data: "sr",
  },
  {
    title: "Title",
    data: "title",
  },
  {
    title: "Bank Name",
    data: "bank_name",
  },
  {
    title: "Amount",
    data: "amount",
  },
  {
    title: "Borrower Name",
    data: "borrower_name",
  },
  {
    title: "Asset Type",
    data: "property_type",
  },
  {
    title: "Location",
    data: "location",
  },
  {
    title: "Possession",
    data: "possession",
  },
  {
    title: "Locality",
    data: "locality",
  },
  {
    title: "City",
    data: "city",
  },
  {
    title: "Reserve Price",
    data: "reserve_price",
  },
  {
    title: "MD Amount",
    data: "md_amount",
  },
  {
    title: "EMD Submission Date",
    data: "emd_submission_date",
  },
  {
    title: "Auction Start Date",
    data: "auction_start_date",
  },
  {
    title: "Auction End Date",
    data: "auction_end_date",
  },
  {
    title: "Contact Details",
    data: "contact_details",
  },
  {
    title: "Auction File Link",
    data: "auction_file_link",
  },
];

function readExcel() {
  var fileInput = document.getElementById("fileInput");
  var file = fileInput.files[0];

  if (file) {
    var reader = new FileReader();

    reader.onload = function (e) {
      try {
        var data = new Uint8Array(e.target.result);
        var workbook = XLSX.read(data, {
          type: "array",
          dateNF: "yyyy-mm-dd hh:mm",
        });

        var outputDiv = document.getElementById("output");
        outputDiv.innerHTML = "";

        workbook.SheetNames.forEach(function (sheetName) {
          var html = XLSX.utils.sheet_to_html(workbook.Sheets[sheetName]);
          jsonLeadData = XLSX.utils.sheet_to_json(workbook.Sheets[sheetName], {
            raw: false,
            defval: ''
          });
          console.log(jsonLeadData);
          html = html.replace('<meta charset="utf-8">', "");
          html = html.replace("<title>SheetJS Table Export</title>", "");

          outputDiv.innerHTML += html;
          $("#sheetName").text("Sheet name: " + sheetName);

          $(outputDiv)
            .find("table")
            .dataTable({
              columns: headers,
              select: true,
            })
            .addClass(
              "table table-striped table-bordered table-hover bg-light w-100"
            )
            .attr("style", "width:100%");
        });
      } catch (error) {
        console.error("Error reading Excel file:", error);
        alert(
          "Error reading Excel file. Please check the file format and try again."
        );
      }
    };

    reader.readAsArrayBuffer(file);
  }
}

function upload() {
  if (jsonLeadData === undefined) {
    return;
  }
  $.ajax({
    type: "POST",
    url: AJAX_URL,
    data: {
      action: "auction-upload",
      type: "bulk",
      data: jsonLeadData,
      csrf_test_name: $('input[name="csrf_test_name"]').val(),
    },
    success: function (response) {
      $('input[name="csrf_test_name"]').val(response.token);
      if (response.error != undefined) {
        notifyFail(response.error);
        return;
      }
      notifySuccess(response.success);
    },
    fail: function (xhr, textStatus, errorThrown) {
      notifyFail(
        "Data is not in proper format or number of cells not matching"
      );
      notifyFail("Unable to upload data, refresh page to try again");
    },
    error: function (data) {
      notifyFail(
        "Data is not in proper format or number of cells not matching"
      );
      notifyFail("Unable to upload data, refresh page to try again");
    },
  });
}

$("#fileInput").on("change", function (e) {
  var fileName = e.target.files[0].name;
  $(this).next(".custom-file-label").html(fileName);
  $("#fileName").text("File name: " + fileName);
});
